classification
Title: Crash 0xc0000417 STATUS_INVALID_CRUNTIME_PARAMETER on program exit
Type: crash Stage:
Components: Interpreter Core Versions: Python 3.1
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: alfps, brian.curtin, loewis, mhammond, r.david.murray
Priority: normal Keywords:

Created on 2010-04-16 13:47 by alfps, last changed 2012-02-04 15:54 by pitrou.

Files
File name Uploaded Description Edit
sum.v4.py alfps, 2010-04-16 13:47
Messages (6)
msg103325 - (view) Author: Alf P. Steinbach (alfps) Date: 2010-04-16 13:47
Python 3.1.1 in Windows XP Prof, appears to be a Windows-only problem

Effect: on program exit the interpreter crashes with exception  0xc0000417 STATUS_INVALID_CRUNTIME_PARAMETER at address 0x78588389, which appears to be in [msvcr90.dll].

To reproduce: very difficult. I had this occur tree times when, after not running any Python program for a while, hitting Ctrl C at the first prompt of the enclosed program. On subsequent runs (not waiting) the bug does *not* manifest. Possibly a timing issue?

Possibly the same bug: ticket #85 for PyInstaller, <url: http://www.pyinstaller.org/ticket/85> has same exception code and same address and also occurring at program exit. Reported as not manifesting in Linux, only Windows. If same bug may be more reliable way to reproduce.

PS: I reported two or three bugs earlier; one was fixed in 3.1.2. But the "Your issues" link shows no issues for me. Trying to report that via "Report tracker problem" it doesn't recognize me as logged in, and maintains that my login attempt is invalid. So there's like a bug in the tracker's reporting scheme for reporting the bug in the tracker. :-)
msg103327 - (view) Author: Alf P. Steinbach (alfps) Date: 2010-04-16 14:22
It now seems almost certain that it's /necessary/ to not have run any Python programs for a while (say, 10 minutes?) in order for the bug to manifest when using Ctrl C in the enclosed program.

Also, I forgot to mention, the SEH exception occurs *while the program is printing the traceback*.

Except that the last line is not displayed until the tell-Bill-Gates-about-it box is clicked away, it consistently manages to print

<output>
C:\Documents and Settings\Alf> sum.v4.py
This program computes the sum of two numbers A and B.

Number A, please: Traceback (most recent call last):
  File "C:\Documents and Settings\Alf\sum.v4.py", line 13, in <module>
</output>

When it doesn't crash it displays four more lines of traceback.
msg103328 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-04-16 14:45
The meta-tracker (the tracker to report problems with the tracker) is a separate tracker and you have to create a new login there.  I agree that this is awkward, but nobody has stepped up to fix it yet.

'your issues' is issues assigned to you, and 'normal' users can never have issues assigned to them.  There's already an issue in the meta tracker about this.  You can use the 'search' interface to search for bugs created by you...sooner or later someone will submit a patch to the meta tracker to put such a search in the left hand menu.

I don't have any input on the windows bug, but I'll add Brian Curtin as nosy in case he has any thoughts.
msg103386 - (view) Author: Alf P. Steinbach (alfps) Date: 2010-04-17 04:12
Thanks for explaining that.

However, the first bug I ever reported was #7681, "Use floor division in appropiate places in the wave module.", fixed in 3.1.2.

And the tracker search does not find this bug by id.

Nor does it find it by specifying "wave" as text to search for, or by specifying me as reporting.

The apparent disappearance of #7681 may be a bug in the tracker.
msg103392 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-04-17 06:01
That's because 7681 is closed.  (That said, I consider it a bug in the tracker that it defaults to searching only open issues...and I think I filed an issue in the metatracker for that, too.  Maybe I'll get around to fixing it if I can get agreement that fixing it is a good idea).  If you put the number in the 'show issue' box it will show up.  You'll also note that it is now a clickable link in your message in the tracker.

But we really should move this discussion to tracker-discuss.
msg152587 - (view) Author: Mark Hammond (mhammond) * (Python committer) Date: 2012-02-04 03:37
See also http://bugs.python.org/issue13038 - same exception but in a different content, but the underlying cause may be similar.
History
Date User Action Args
2012-02-04 15:54:13pitrousetnosy: + loewis
2012-02-04 03:37:28mhammondsetnosy: + mhammond
messages: + msg152587
2010-04-17 06:01:27r.david.murraysetmessages: + msg103392
2010-04-17 04:12:52alfpssetmessages: + msg103386
2010-04-16 14:45:56r.david.murraysetpriority: normal
nosy: + r.david.murray, brian.curtin
messages: + msg103328

2010-04-16 14:22:18alfpssetmessages: + msg103327
2010-04-16 13:47:20alfpscreate